psychopy.org | Reference | Downloads | Github

Can't open PsychoPy 3 Mac version 2020.2.6

My system version is mac os 11.0.1, when I open psychopy, I encountered this error, I can’t open it.

Traceback (most recent call last):
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/init.py“, line 378, in getattr
AttributeError: ‚NoneType‘ object has no attribute ‚_create_shadow_window‘

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File „/Applications/PsychoPy.app/Contents/Resources/boot.py“, line 498, in
File „/Applications/PsychoPy.app/Contents/Resources/boot.py“, line 476, in _run
File „/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py“, line 104, in
File „/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py“, line 100, in main
File „/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py“, line 28, in start_app
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/_psychopyApp.py“, line 226, in init
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/_psychopyApp.py“, line 262, in onInit
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/init.py“, line 7, in
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/builder.py“, line 46, in
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/dialogs/init.py“, line 28, in
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/validators.py“, line 27, in
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/window/init.py“, line 1896, in
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/init.py“, line 384, in getattr
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/gl/init.py“, line 100, in
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/gl/lib.py“, line 141, in
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/gl/lib_agl.py“, line 49, in
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/lib.py“, line 118, in load_library
File „/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/lib.py“, line 286, in load_framework
ImportError: Can’t find framework /System/Library/Frameworks/OpenGL.framework.

PsychoPy is not currently working on Big Sur (Mac OS 11). There are a few other posts about this. There is a way to bypass this error, which allows you to code in PsychoPy and sync online to run JS, but as of right now there is no known way to run experiments locally on Big Sur.

See here: Psychopy on Big Sur on mac

It ended up being called 2020.2.8 after a last minute bug in 2020.2.7! But I think this should fix the Big Sur troubles:

Thank you jon – for everything you and your team are doing, especially on such short notice for mac users!

1 Like